Commit 66a28880 authored by Roland Levillain's avatar Roland Levillain
Browse files

bootstrap: Check for HeVeA instead of TeX4ht.

parent 12dd4793
2010-03-31 Roland Levillain <roland@lrde.epita.fr>
* bootstrap: Check for HeVeA instead of TeX4ht.
2010-03-30 Roland Levillain <roland@lrde.epita.fr> 2010-03-30 Roland Levillain <roland@lrde.epita.fr>
Revert to HeVeA to generate HTML from LaTeX. Revert to HeVeA to generate HTML from LaTeX.
......
...@@ -155,29 +155,7 @@ require $libtoolize 1.5.22 ...@@ -155,29 +155,7 @@ require $libtoolize 1.5.22
require doxygen 1.5.6 require doxygen 1.5.6
require convert 6.3.7 require convert 6.3.7
# FIXME: Also check these: require hevea 1.10 -version
# epstopdf
# pgf (how?)
# Check for TeX4ht. htlatex and friends do not have options like
# `--version', `-version', `-v', etc. Hence this ad hoc procedure.
tempdir=`mktemp -d /tmp/temp.XXXXXX`
# Set up automatic cleanup.
cleanup() { rm -rf "$tempdir"; exit; }
trap cleanup 0 1 2 3 6 15
(
cd "$tempdir"
cat >test.tex <<EOF
\documentclass{article}
\begin{document}
Test
\end{document}
EOF
htlatex >/dev/null 2>&1 test.tex
) || fatal "TeX4ht is required"
# dvipng is required by TeX4ht.
require dvipng 1.11
# Regen files stored in the repository if asked so. # Regen files stored in the repository if asked so.
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment